Bug 236913 - [NEW PORT] math/py-matplotlib3
Summary: [NEW PORT] math/py-matplotlib3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-03-31 14:06 UTC by kunda
Modified: 2020-09-19 13:11 UTC (History)
5 users (show)

See Also:
mainland: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-03-31 14:06:23 UTC

    
Comment 1 kunda 2019-03-31 14:10:46 UTC
As mentioned in #232307 (specifically https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=232307#c9) there is a necessity to have a matplotlib2 to not break dependencies. There is also a growing need to migrate to py3 and so a matplotlib3 port makes sense.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-06 13:51:58 UTC
I would suggest *NOT* to add a new port right now.

After the default python version changed to 3.6 (ongoing work by antoine@), we could keep matplotlib 2.x as math/py-matplotlib2 (just for py27-only ports, e.g. science/py-hcluster) and update math/py-matplotlib to 3.x.
Comment 3 Li-Wen Hsu freebsd_committer 2020-06-16 22:49:50 UTC
Is this still an issue? The default version of python is 3.7 now.
Comment 4 Thierry Thomas freebsd_committer 2020-08-20 19:03:17 UTC
(In reply to Li-Wen Hsu from comment #3)

Same question. The next release of math/sage (ATM 9.2-beta9) requires py-matplotlib 3.x.

Sunpoet's idea of math/py-matplotlib2 seems OK.
Comment 5 Thierry Thomas freebsd_committer 2020-08-22 12:05:33 UTC
A patch to upgrade math/py-matplotlib from 2.2.4 to 3.3.1 is available at
https://people.freebsd.org/~thierry/math_py-matplotlib.diff

Prerequisite: repocopy math/py-matplotlib to math/py-matplotlib2 and adjust the dependencies accordingly for the ports that do not support version 3.
Comment 6 Thierry Thomas freebsd_committer 2020-09-19 13:10:36 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2020-09-19 13:11:05 UTC
A commit references this bug:

Author: thierry
Date: Sat Sep 19 13:10:28 UTC 2020
New revision: 548983
URL: https://svnweb.freebsd.org/changeset/ports/548983

Log:
  Upgrade py-matplotlib to 3.3.1, and keep a repocopy of 2.2.4.

  Changelog at <https://matplotlib.org/3.3.1/users/whats_new.html>.

  PR:		236913
  Submitted by:	chitty_cloud (at) me.com
  Approved by:	maintainer

Changes:
  head/math/Makefile
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/distinfo
  head/math/py-matplotlib/files/patch-setup.cfg
  head/math/py-matplotlib/files/patch-setup.py
  head/math/py-matplotlib/pkg-plist
  head/math/py-matplotlib2/
  head/math/py-matplotlib2/Makefile
  head/math/py-matplotlib2/pkg-descr